Subject: Re: [PATCH v2 00/14] sysctl: Add a size argument to register functions in sysctl

From: Joel Granados <[email-masked]>
Date: Tue, 1 Aug 2023 12:01:09 +0200

On Mon, Jul 31, 2023 at 01:50:40PM -0700, Luis Chamberlain wrote:
> On Mon, Jul 31, 2023 at 09:17:14AM +0200, Joel Granados wrote:
> > Why?
> 
> It would be easier to read if the what went before the why.
haha. I totally misunderstood you in
lore.kernel.org/all/[email-masked] I thought
you meant to put the why first. I'll switch it back to having the what
first for V3

> 
> > This is a preparation patch set that will make it easier for us to apply
> > subsequent patches that will remove the sentinel element (last empty element)
> > in the ctl_table arrays.
> > 
> > In itself, it does not remove any sentinels but it is needed to bring all the
> > advantages of the removal to fruition which is to help reduce the overall build
> > time size of the kernel and run time memory bloat by about ~64 bytes per
> > sentinel.
> 
> s/sentinel/declared ctl array
> 
> Because the you're suggesting we want to remove the sentinel but we
> want to help the patch reviewer know that a sentil is required per
> declared ctl array.
Ack

> 
> You can also mention here briefly that this helps ensure that future moves of
> sysctl arrays out from kernel/sysctl.c to their own subsystem won't
> penalize in enlarging the kernel build size or run time memory consumption.
I worked it in

Thx for the review
> 
> Thanks for spinning this up again!
> 
>   Luis

-- 

Joel Granados